MailHandler user creation for unknown_user impossible due to diverging length-limits of login and
email fields
Status: Closed Start date: 2011-02-25
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed Affected version:

Description

On redmine-1.1.1 it is not possible to create a user by sending a ticket by mail.

e The maximum email length is 60 chars.
¢ Login is generated from the email address, which has a size of only 30 chars.

-—— a/redmine-1.1.1/app/models/user.rb
+++ b/redmine-1.1.1/app/models/user.rb
@@ -67,7 +67,7 Q@ class User < Principal
validates_uniqueness_of :mail, :if => Proc.new { |user| !user.mail.blank? }, :case_sensitive =>
false
# Login must contain lettres, numbers, underscores only
validates_format_of :login, :with => /*[a-z0-9_\-Q@\.]*S$/i
- wvalidates_length_of :login, :maximum => 30
+ wvalidates_length_of :login, :maximum => 60
validates_format_of :firstname, :lastname, :with => /~[\w\s\'\-\.]*$/1i
validates_length_of :firstname, :lastname, :maximum => 30
validates_format_of :mail, :with => /"~ (["@\s]+)Q@((?:[-a-z0-9]+\.)+[a-z]{2,})S$/i, :allow_nil =>
true
—-—— a/redmine-1.1.1/db/migrate/001_setup.rb
+++ b/redmine-1.1.1/db/migrate/001_setup.rb
@@ -200,7 +200,7 @@ class Setup < ActiveRecord::Migration
end

create_table "users", :force => true do |t]

= t.column "login", :string, :limit => 30, :default => "", :null => false

+ t.column "login", :string, :limit => 60, :default => "", :null => false
t.column "hashed_password", :string, :limit => 40, :default => "", :null => false
t.column "firstname", :string, :limit => 30, :default => "", :null => false
t.column "lastname", :string, :limit => 30, :default => "", :null => false

Related issues:

Related to Redmine - Feature #4969: issue creation by email fails when on-the... Closed 2010-03-02
Has duplicate Redmine - Defect #5724: Email creation of new issues for anonym... Closed 2010-06-22
Has duplicate Redmine - Defect #8450: redmine:email:receive_imap fails silent... Closed 2011-05-27
History

#1 - 2011-02-25 14:00 - Etienne Massip

- Category changed from Accounts / authentication to Email receiving

#2 - 2011-11-19 02:00 - mark burdett
Still a problem in Redmine 1.2.2

This is a fairly serious bug for those who want to use the --unknown-user=create option.

#3 - 2011-11-20 00:06 - Terence Mill
#4 - 2011-11-21 17:05 - Mischa The Evil

- Subject changed from MailHandler user creation for unknown_user to MailHandler user creation for unknown_user impossible due to length-limits of
login and email fields

#5 - 2011-11-21 17:11 - Mischa The Evil

- Subject changed from MailHandler user creation for unknown_user impossible due to length-limits of login and email fields to MailHandler user
creation for unknown_user impossible due to diverging length-limits of login and email fields

#6 - 2011-11-27 16:35 - Jean-Philippe Lang
- Tracker changed from Patch to Defect

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 1.3.0

- Resolution set to Fixed

This problem should be fixed with r7952. Login is now truncated if needed.
